Subject: Re: [PATCH net v2 1/2] net: stmmac: fix PHY handle parsing

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 17 Mar 2023 20:57:48 +0000

On Fri, Mar 17, 2023 at 08:56:19PM +0100, Andrew Lunn wrote:
> On Tue, Mar 14, 2023 at 03:02:07PM +0800, Michael Sit Wei Hong wrote:
> > phylink_fwnode_phy_connect returns 0 when set to MLO_AN_INBAND.
> > This causes the PHY handle parsing to skip and the PHY will not be attached
> > to the MAC.
> 
> Please could you expand the commit message because i'm having trouble
> following this.
> 
> phylink_fwnode_phy_connect() says:
> 
> 	/* Fixed links and 802.3z are handled without needing a PHY */
> 	if (pl->cfg_link_an_mode == MLO_AN_FIXED ||
> 	    (pl->cfg_link_an_mode == MLO_AN_INBAND &&
> 	     phy_interface_mode_is_8023z(pl->link_interface)))
> 		return 0;
> 
> So your first statement is not true. It should be MLO_AN_INBAND
> and phy_interface_mode_is_8023z.
> 
> > Add additional check for PHY handle parsing when set to MLO_AN_INBAND.
> 
> Looking at the patch, there is no reference to MLO_AN_INBAND, or
> managed = "in-band-status";

That's the pesky "xpcs_an_inband" which ends up as phylink's
"ovr_an_inband"... I'm sure these are random renames of stuff to make
sure that people struggle to follow the code.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!